optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoKummenberg.registers.ControlStage.OFPID Class Reference
Inheritance diagram for optoKummenberg.registers.ControlStage.OFPID:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.ControlStage
| SetAsControlMode (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
| sys_id
| adaptive_pid_enabled
| kp
| ki
| kd
| min_output
| max_output
| min_integral
| max_integral
| setpoint
| ap
| bp
| cp
| ai
| bi
| ci
| ad
| bd
| cd
| gain_scheduling
| dfilter_enabled
| dfilter_cutoff
| reset_integral
| disable_sensor_input
| output
| pid_disabled
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.ControlStage
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Protected Attributes
| _readonly
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.ControlStage
bool | _is_a_system = False
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Control Mode Channel - OF PID Control (with/without Temperature Compensation)
    System ID: 0xB8 through 0xBf

    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | Register Name      | Id   | Type        | Unit | Range | Default | Comment                                          |
    +====================+======+=============+======+=======+=========+==================================================+
    |adaptive_pid_enabled| 0x00 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | kp                 | 0x01 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | ki                 | 0x02 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | kd                 | 0x03 |uint 32-bit  |bool  | T/F   | 1       |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | min_output         | 0x03 |float 32-bit |None  |       |         | If PID output reaches this, it is clamped to this|
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | max_output         | 0x04 |float 32-bit |None  |       |         | If PID output reaches this, it is clamped to this|
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | min_integral       | 0x05 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | max_integral       | 0x06 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | ap                 | 0x07 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | bp                 | 0x08 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | ai                 | 0x09 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | bi                 | 0x0a |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | ad                 | 0x0b |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | bd                 | 0x0c |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.ControlStage.OFPID.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

Reimplemented from optoKummenberg.registers.ClassAbstracts.ControlStage.

## Member Function Documentation

## ◆ help()

optoKummenberg.registers.ControlStage.OFPID.help | ( |  | ) |
| static

## Member Data Documentation

## ◆ _readonly

optoKummenberg.registers.ControlStage.OFPID._readonly
| protected

## ◆ ad

optoKummenberg.registers.ControlStage.OFPID.ad

## ◆ adaptive_pid_enabled

optoKummenberg.registers.ControlStage.OFPID.adaptive_pid_enabled

## ◆ ai

optoKummenberg.registers.ControlStage.OFPID.ai

## ◆ ap

optoKummenberg.registers.ControlStage.OFPID.ap

## ◆ bd

optoKummenberg.registers.ControlStage.OFPID.bd

## ◆ bi

optoKummenberg.registers.ControlStage.OFPID.bi

## ◆ bp

optoKummenberg.registers.ControlStage.OFPID.bp

## ◆ cd

optoKummenberg.registers.ControlStage.OFPID.cd

## ◆ ci

optoKummenberg.registers.ControlStage.OFPID.ci

## ◆ cp

optoKummenberg.registers.ControlStage.OFPID.cp

## ◆ dfilter_cutoff

optoKummenberg.registers.ControlStage.OFPID.dfilter_cutoff

## ◆ dfilter_enabled

optoKummenberg.registers.ControlStage.OFPID.dfilter_enabled

## ◆ disable_sensor_input

optoKummenberg.registers.ControlStage.OFPID.disable_sensor_input

## ◆ gain_scheduling

optoKummenberg.registers.ControlStage.OFPID.gain_scheduling

## ◆ kd

optoKummenberg.registers.ControlStage.OFPID.kd

## ◆ ki

optoKummenberg.registers.ControlStage.OFPID.ki

## ◆ kp

optoKummenberg.registers.ControlStage.OFPID.kp

## ◆ max_integral

optoKummenberg.registers.ControlStage.OFPID.max_integral

## ◆ max_output

optoKummenberg.registers.ControlStage.OFPID.max_output

## ◆ min_integral

optoKummenberg.registers.ControlStage.OFPID.min_integral

## ◆ min_output

optoKummenberg.registers.ControlStage.OFPID.min_output

## ◆ name

optoKummenberg.registers.ControlStage.OFPID.name

## ◆ output

optoKummenberg.registers.ControlStage.OFPID.output

## ◆ pid_disabled

optoKummenberg.registers.ControlStage.OFPID.pid_disabled

## ◆ reset_integral

optoKummenberg.registers.ControlStage.OFPID.reset_integral

## ◆ setpoint

optoKummenberg.registers.ControlStage.OFPID.setpoint

## ◆ sys_id

optoKummenberg.registers.ControlStage.OFPID.sys_id

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/ControlStage.py